Package Details: ayatana-ido 0.8.2-1

Git Clone URL: https://aur.archlinux.org/ayatana-ido.git (read-only, click to copy)
Package Base: ayatana-ido
Description: Ayatana Indicator Display Objects
Upstream URL: https://github.com/AyatanaIndicators/ayatana-ido
Licenses: LGPL3, LGPL2.1
Submitter: postblue
Maintainer: tari01
Last Packager: tari01
Votes: 5
Popularity: 0.058904
First Submitted: 2018-07-29 13:37
Last Updated: 2021-01-25 15:55

Latest Comments

postblue commented on 2020-07-09 16:38

I couldn't just update a package when there's no release with the fix included, therefore the PKGBUILD is a little bit ugly with patches for the errors (-Werror, gtk_widget_get_state_flags).

kikislater commented on 2020-07-09 05:04

Using master branch solved problem mention by jm56Z Please update package

Jm56Z commented on 2020-06-22 17:08

I understand the use of -Werror. I use it all the time.

However it's a problem here :

idomediaplayermenuitem.c:84:36: error: implicit conversion from ‘GtkStateType’ to ‘GtkStateFlags’ [-Werror=enum-conversion]
84 | gtk_widget_get_state (widget),
| ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~

gtk_widget_get_state is even deprecated, and has to be replaced with gtk_widget_get_state_flags. It worked.

mgav commented on 2019-04-06 15:52

The source location has changed. ayatana-indicators.org 404s. Now they're on github at https://github.com/AyatanaIndicators/